Summary:	A lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.4.25
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Compression
URL:		https://github.com/ib/%{name}
Source0:	https://github.com/ib/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	gtk+3-devel
BuildRequires:	xsltproc
Requires:	binutils
Requires:	unzip
Requires:	zip
Recommends:	arj
Recommends:	p7zip
Recommends:	lha
Recommends:	unrar

%description
Xarchiver is a GTK+ frontend to 7z, a (libraries), arj, bzip2, compress, cpio,
gzip, lha, lrzip, lz4, lzip, lzma, lzop, rar, tar, xz, zip, zstd, tar.bz2,
tar.gz, tar.lrz, tar.lz, tar.lz4, tar.lzma, tar.lzop, tar.xz, tar.Z, tar.zst,
rpm and deb (open and extract only).  Xarchiver allows you to create,
add, extract and delete files in the above formats.  Password protected
archives are supported.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# make the .desktop file compliant with xdg specs
desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-mime-type="multipart/x-zip" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/xarchiver.desktop

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.5.4.25-2.mga10
+ Revision: 2249708
- Mageia 10 Mass Rebuild

* Mon Mar 24 2025 ns80 <ns80> 0.5.4.25-1.mga10
+ Revision: 2169436
- new version 0.5.4.25

* Mon Mar 17 2025 ns80 <ns80> 0.5.4.24-1.mga10
+ Revision: 2165617
- new version 0.5.4.24

* Mon Mar 04 2024 ns80 <ns80> 0.5.4.23-1.mga10
+ Revision: 2047462
- new version 0.5.4.23

* Mon Jan 08 2024 ns80 <ns80> 0.5.4.22-1.mga10
+ Revision: 2028909
- new version 0.5.4.22

* Wed May 10 2023 ns80 <ns80> 0.5.4.21-1.mga9
+ Revision: 1956493
- new version 0.5.4.21

* Fri Mar 17 2023 ns80 <ns80> 0.5.4.20-2.git20230315.1.mga9
+ Revision: 1949553
- update to latest git snapshot to fix an issue with 7zip format

* Tue Mar 14 2023 ns80 <ns80> 0.5.4.20-2.git20230309.1.mga9
+ Revision: 1948971
- update to latest git snapshot to support bzip and bzip3

* Fri Mar 10 2023 ns80 <ns80> 0.5.4.20-2.git20230226.1.mga9
+ Revision: 1948508
- update to latest git snapshot to fix some crashes

* Wed Nov 02 2022 ns80 <ns80> 0.5.4.20-1.mga9
+ Revision: 1901481
- new version 0.5.4.20

* Mon Aug 29 2022 ns80 <ns80> 0.5.4.19-1.mga9
+ Revision: 1881595
- new version 0.5.4.19

* Fri May 13 2022 ns80 <ns80> 0.5.4.18-1.mga9
+ Revision: 1857878
- new version 0.5.4.18

* Mon May 09 2022 ns80 <ns80> 0.5.4.18-0.git20220507.1.mga9
+ Revision: 1856916
- add patch xarchiver-master-fix-l10n
- update to latest git snapshot

* Wed Apr 20 2022 ns80 <ns80> 0.5.4.18-0.git20220419.1.mga9
+ Revision: 1852010
- update to latest git snapshot

* Mon Mar 21 2022 ns80 <ns80> 0.5.4.18-0.git20220320.1.mga9
+ Revision: 1814627
- update to latest git snapshot

* Fri Mar 18 2022 ns80 <ns80> 0.5.4.18-0.git20220316.1.mga9
+ Revision: 1798019
- update to latest git snapshot

* Sun Mar 13 2022 ns80 <ns80> 0.5.4.18-0.git20220307.1.mga9
+ Revision: 1790819
- update to latest git snapshot

* Thu Feb 24 2022 ns80 <ns80> 0.5.4.18-0.git20220222.1.mga9
+ Revision: 1783998
- update to latest git snapshot to fix opening zstd archive (mga#30082)

* Wed Feb 23 2022 ns80 <ns80> 0.5.4.17-2.mga9
+ Revision: 1783535
- add support for rpm archives with zstd payload compression (mga#30082)

* Tue Feb 02 2021 ns80 <ns80> 0.5.4.17-1.mga8
+ Revision: 1674435
- new version 0.5.4.17

* Mon Dec 14 2020 ns80 <ns80> 0.5.4.16-1.mga8
+ Revision: 1657049
- new version 0.5.4.16

* Tue Dec 08 2020 ns80 <ns80> 0.5.4.15-1.git20201208.1.mga8
+ Revision: 1654667
- update to latest git snapshot

* Mon Sep 21 2020 ns80 <ns80> 0.5.4.15-1.git20200916.1.mga8
+ Revision: 1629142
- update to latest git snaphot

* Tue Aug 04 2020 ns80 <ns80> 0.5.4.15-1.git20200802.1.mga8
+ Revision: 1610997
- update to latest git snapshot

* Mon Jun 22 2020 ns80 <ns80> 0.5.4.15-1.git20200617.1.mga8
+ Revision: 1598422
- update to latest git snapshot

* Mon Jun 15 2020 ns80 <ns80> 0.5.4.15-1.git20200609.1.mga8
+ Revision: 1593382
- update to latest git snapshot

* Wed Jun 03 2020 ns80 <ns80> 0.5.4.15-1.git20200602.1.mga8
+ Revision: 1589938
- new version 0.5.4.15

* Fri May 15 2020 ns80 <ns80> 0.5.4.14-3.git20200514.1.mga8
+ Revision: 1583849
- update to latest git snapshot

* Fri Mar 06 2020 ns80 <ns80> 0.5.4.14-3.git20200305.1.mga8
+ Revision: 1554345
- update pt_BR translation

* Tue Feb 18 2020 umeabot <umeabot> 0.5.4.14-3.git20191216.2.mga8
+ Revision: 1540917
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 17 2019 ns80 <ns80> 0.5.4.14-3.git20191216.1.mga8
+ Revision: 1468590
- update French translation

* Thu Nov 14 2019 ns80 <ns80> 0.5.4.14-3.git20191013.1.mga8
+ Revision: 1459965
- update to latest git snapshot to support for self-extracting Windows archives

* Fri Jul 05 2019 ns80 <ns80> 0.5.4.14-3.git20190603.1.mga8
+ Revision: 1418712
- update to latest git snapshot

* Wed Jan 30 2019 ns80 <ns80> 0.5.4.14-3.git20190130.1.mga7
+ Revision: 1361900
- update to latest git snapshot to fix a potential segmentation fault

* Thu Jan 24 2019 ns80 <ns80> 0.5.4.14-3.git20190121.1.mga7
+ Revision: 1360466
- update to latest git snapshot to support ar archives

* Fri Jan 11 2019 ns80 <ns80> 0.5.4.14-2.mga7
+ Revision: 1354857
- add upstream patches to support zstd compressed tar files

* Tue Jan 08 2019 ns80 <ns80> 0.5.4.14-1.mga7
+ Revision: 1352332
- new version 0.5.4.14

* Mon Aug 27 2018 ns80 <ns80> 0.5.4.13-4.git20180818.1.mga7
+ Revision: 1254871
- update to latest git snapshot

* Wed Jun 13 2018 ns80 <ns80> 0.5.4.13-4.git20180610.1.mga7
+ Revision: 1236742
- update to latest git snapshot

* Wed May 16 2018 ns80 <ns80> 0.5.4.13-4.git20180515.1.mga7
+ Revision: 1229811
- update to latest git snapshot

* Tue Apr 17 2018 ns80 <ns80> 0.5.4.13-4.git20180412.1.mga7
+ Revision: 1219610
- update to latest git snapshot to fix a segmentation fault

* Sun Mar 18 2018 ns80 <ns80> 0.5.4.13-3.mga7
+ Revision: 1210254
- update Bulgarian translation

* Thu Mar 15 2018 ns80 <ns80> 0.5.4.13-2.mga7
+ Revision: 1209596
- tranlations updated

* Wed Mar 14 2018 ns80 <ns80> 0.5.4.13-1.mga7
+ Revision: 1209429
- new version 0.5.4.13

* Mon Mar 12 2018 ns80 <ns80> 0.5.4.12-7.git20180308.1.mga7
+ Revision: 1208285
- update to latest git snapshot

* Mon Feb 26 2018 ns80 <ns80> 0.5.4.12-7.git20180220.1.mga7
+ Revision: 1205227
- update to latest git snapshot

* Mon Feb 12 2018 ns80 <ns80> 0.5.4.12-7.git20180211.1.mga7
+ Revision: 1200621
- update to latest git snapshot to improve the desktop file parser

* Mon Jan 22 2018 ns80 <ns80> 0.5.4.12-6.mga7
+ Revision: 1195792
- update to latest git snapshot for various bug fixes

* Thu Jan 18 2018 ns80 <ns80> 0.5.4.12-5.mga7
+ Revision: 1194344
- add upstream patch to fix some zip files that are seen as tarballs

* Wed Dec 20 2017 ns80 <ns80> 0.5.4.12-4.mga7
+ Revision: 1183525
- add upstream patches that fix some problems with zip archives

* Tue Dec 19 2017 ns80 <ns80> 0.5.4.12-3.mga7
+ Revision: 1183433
- add upstream patches to fix some bugs related to cpio archives

* Tue Sep 19 2017 ns80 <ns80> 0.5.4.12-2.mga7
+ Revision: 1155359
- add an upstream patch to correct documentation

* Fri Sep 15 2017 ns80 <ns80> 0.5.4.12-1.mga7
+ Revision: 1154195
- new version 0.5.4.12

* Sun Jul 02 2017 ns80 <ns80> 0.5.4.11-2.mga6
+ Revision: 1108973
- really build with GTK3

* Fri Jun 30 2017 ns80 <ns80> 0.5.4.11-1.mga6
+ Revision: 1108749
- add upstream patch to fix building with GTK3
- new version 0.5.4.11

* Fri May 12 2017 ns80 <ns80> 0.5.4.10-1.mga6
+ Revision: 1100531
- new version 0.5.4.10 that fixes xarchiver segmentation fault
- remove patch revert-renaming-open_archive

* Wed May 10 2017 ns80 <ns80> 0.5.4.9-3.mga6
+ Revision: 1099972
- update to latest git snapshot to fix a bug when creating the preferences dialog

* Thu May 04 2017 ns80 <ns80> 0.5.4.9-2.mga6
+ Revision: 1099013
- add a patch to fix segmentation fault and update to latest git snapshot

* Wed May 03 2017 ns80 <ns80> 0.5.4.9-1.mga6
+ Revision: 1098825
- new version 0.5.4.9

* Wed Feb 15 2017 ns80 <ns80> 0.5.4.8-1.mga6
+ Revision: 1086213
- new version 0.5.4.8

* Fri Jan 27 2017 ns80 <ns80> 0.5.4.7-2.mga6
+ Revision: 1083566
- update to latest git snapshot to update translations

* Wed Jul 20 2016 ns80 <ns80> 0.5.4.7-1.mga6
+ Revision: 1042890
- new version 0.5.4.7
- remove patch fix-sigsegv-when-directly-extracting-rpm (merged upstream)

* Mon Mar 21 2016 ns80 <ns80> 0.5.4.6-2.mga6
+ Revision: 993790
- add patch fix-sigsegv-when-directly-extracting-rpm (mga#18050)

* Tue Mar 15 2016 wally <wally> 0.5.4.6-1.mga6
+ Revision: 990976
- switch to another fork in Github (mga#17993)
- new version 0.5.4.6

* Mon Feb 08 2016 umeabot <umeabot> 0.5.4-2.mga6
+ Revision: 950468
- Mageia 6 Mass Rebuild

* Sat Nov 01 2014 wally <wally> 0.5.4-1.mga5
+ Revision: 795087
- new version 0.5.4
- drop unneeded str fmt patch

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-3.mga5
+ Revision: 750350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-2.mga5
+ Revision: 690543
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Feb 23 2014 wally <wally> 0.5.3-1.mga5
+ Revision: 595919
- fix release tag

* Sun Feb 23 2014 wally <wally> 0.5.3-0.2.mga5
+ Revision: 595918
- new version 0.5.3
- fix url
- drop unneeded patches

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-16.mga4
+ Revision: 520425
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-15.mga3
+ Revision: 386505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.5.2-14.mga3
+ Revision: 338226
- fix file list after %%_libexecdir change

* Fri Dec 21 2012 guillomovitch <guillomovitch> 0.5.2-13.mga3
+ Revision: 333655
- own its documentation directory

* Sat Jul 07 2012 wally <wally> 0.5.2-12.mga3
+ Revision: 268629
- add patch to fix tar support (mga#6713)

* Sun Jul 01 2012 wally <wally> 0.5.2-11.mga3
+ Revision: 265947
- rediff xz support patch to get working xz support
- add xz exctract patch from Arch

* Sun Jun 24 2012 wally <wally> 0.5.2-10.mga3
+ Revision: 263147
- add patches from Fedora (xarchiver is pretty dead upstream, but it works most of time and now even more with Fedora patches)
  o xz support patch
  o fix 7z support patch
  o rpm2cpio fix patch
  o fix open with segfaulting patch

* Sat Jan 28 2012 tavvva <tavvva> 0.5.2-9.mga2
+ Revision: 202692
- fix for #4093 - extraction doesn't work when drag'n'drop target path contains spaces
- additionaly all characters which need to be escaped are now accepted without problems

* Mon Feb 07 2011 ahmad <ahmad> 0.5.2-8.mga1
+ Revision: 48700
- imported package xarchiver


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-7mdv2011.0
+ Revision: 633052
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-6mdv2011.0
+ Revision: 579640
- rebuild for new xfce 4.7.0

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.2-4mdv2010.1
+ Revision: 521985
- fix .desktop file

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.5.2-3mdv2010.0
+ Revision: 445866
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-2mdv2009.1
+ Revision: 353010
- Patch0: fix compiling with Werror=format-strings

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 302477
- New version 0.5.2

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 300759
- update to new version 0.5.1

* Thu Nov 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 300324
- update to new version 0.5.0

* Wed Oct 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.rc1.1mdv2009.1
+ Revision: 296559
- update to new version 0.5.0rc1

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta2.2mdv2009.1
+ Revision: 294928
- rebuild for new Xfce4.6 beta1

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta2.1mdv2009.1
+ Revision: 291556
- update to new version 0.5.0beta2

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta1.1mdv2009.0
+ Revision: 276256
- ressurection of xarchiver, update to new version 0.5.0beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.4.9-5mdv2009.0
+ Revision: 262241
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.9-4mdv2009.0
+ Revision: 256566
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-2mdv2008.1
+ Revision: 135444
- fix deps
- suggest some additional archivers

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.9-1mdv2008.1
+ Revision: 120755
- Add BR
- Add a lot of BR
- New release 4.9

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide patch 0 (fixes compilation)
    - drop X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-3mdv2008.0
+ Revision: 32837
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 32831
- drop old menu style
- drop Source1
- spec file clean


* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.4.6-1mdv2007.0
+ Revision: 97289
- Add BuildRequires
- Push Xarchiver
- Import xarchiver

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.9.2-0.beta2.1mdv2007.0
- 0.3.9.2beta2
- drop icon source and use included
- xdg
- cleanup

* Sat May 06 2006 Jerome Soyer <saispo@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed May 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Thu Apr 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-2mdk
* Mon Apr 03 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-2mdk
    - added menus
    - rebuild

* Mon Apr 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdk
- RPM From :

 * Sun Apr 02 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-1mdk
   - removed NEWS (empty file) from %%doc
   - cleaned up xarchiver.spec
   - rebuild
   - xarchiver 0.3.1 initial mdk release

